<script lang="ts">
    import type { ActionData, PageData } from "./$types";
	import { Button, Card } from "attractions";
    import FormCard from "@/components/FormCard.svelte";
    import Alert from "@/components/Alert.svelte";

	let fields = [
		["E-mail cím", "email", "email", "mail"],
		["Jelszó", "password", "password", "lock"],
	];
	
	export let form: ActionData;
	export let data: PageData;

	let width = "450px"
</script>

<div class="wrapper">
	{#if data.register_success && !form}
		<Alert type="success" {width}>
			Sikeres regisztráció!
		</Alert>
	{:else if !form?.success && form?.error_msg}
		<Alert type="error" {width}>
			{form?.error_msg}
		</Alert>
	{/if}
	<Card outline>
		<FormCard {fields} validation_results={form?.result} {width}>
			<span slot="suggestion">
				Ha még nem tartozol körünkbe, akkor <a href="/register">regisztrálj</a>
			</span>
			<span slot="actions">
				<Button outline type="submit">
					Bejelentkezés
				</Button>
			</span>
		</FormCard>
	</Card>
</div>

<style>
	.wrapper {
		display: flex;
		row-gap: 12px;
		flex-direction: column;	
		align-items: center;
		justify-content: center;
		height: 100%;
	}
</style>